- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | Friends

# QNetworkSession Class Reference

Search for all occurrences

## Detailed Description

Definition at line 71 of file qnetworksession.h.

`#include <qnetworksession.h>`

Inheritance diagram for QNetworkSession:
[legend]

List of all members.

## Public Types
enum | State { Invalid = 0, NotAvailable, Connecting, Connected, Closing, Disconnected, Roaming }
enum | SessionError { UnknownSessionError = 0, SessionAbortedError, RoamingError, OperationNotSupportedError, InvalidConfigurationError }
## Public Slots
void | open ()
void | close ()
void | stop ()
void | migrate ()
void | ignore ()
void | accept ()
void | reject ()
## Signals
void | stateChanged (QNetworkSession::State)
void | opened ()
void | closed ()
void | error (QNetworkSession::SessionError)
void | preferredConfigurationChanged (const QNetworkConfiguration &config, bool isSeamless)
void | newConfigurationActivated ()
## Public Member Functions
| QNetworkSession (const QNetworkConfiguration &connConfig, QObject *parent=0)
virtual | ~QNetworkSession ()
bool | isOpen () const
QNetworkConfiguration | configuration () const
QNetworkInterface | interface () const
State | state () const
SessionError | error () const
QString | errorString () const
QVariant | sessionProperty (const QString &key) const
void | setSessionProperty (const QString &key, const QVariant &value)
quint64 | bytesWritten () const
quint64 | bytesReceived () const
quint64 | activeTime () const
bool | waitForOpened (int msecs=30000)
## Protected Member Functions
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
## Friends
class | QNetworkSessionPrivate

## Member Enumeration Documentation

enum State

Search for all occurrences

Enumerator:

  Invalid | Search for all occurrences
  NotAvailable | Search for all occurrences
  Connecting | Search for all occurrences
  Connected | Search for all occurrences
  Closing | Search for all occurrences
  Disconnected | Search for all occurrences
  Roaming | Search for all occurrences

Definition at line 75 of file qnetworksession.h.

                   {
            Invalid = 0,
            NotAvailable,
            Connecting,
            Connected,
            Closing,
            Disconnected,
            Roaming
        };

enum SessionError

Search for all occurrences

Enumerator:

  UnknownSessionError | Search for all occurrences
  SessionAbortedError | Search for all occurrences
  RoamingError | Search for all occurrences
  OperationNotSupportedError | Search for all occurrences
  InvalidConfigurationError | Search for all occurrences

Definition at line 85 of file qnetworksession.h.

                          {
            UnknownSessionError = 0,
            SessionAbortedError,
            RoamingError,
            OperationNotSupportedError,
            InvalidConfigurationError
        };

## Constructor & Destructor Documentation

QNetworkSession | ( | const QNetworkConfiguration & | connConfig,
|  | QObject * | parent = `0`
| ) |  | `[explicit]`

virtual ~QNetworkSession | ( |  | ) | `[virtual]`

## Member Function Documentation

bool isOpen | ( |  | ) | const

Search for all occurrences

QNetworkConfiguration configuration | ( |  | ) | const

Search for all occurrences

QNetworkInterface interface | ( |  | ) | const

Search for all occurrences

State state | ( |  | ) | const

Search for all occurrences

SessionError error | ( |  | ) | const

Search for all occurrences

QString errorString | ( |  | ) | const

Search for all occurrences

QVariant sessionProperty | ( | const QString & | key | ) | const

Search for all occurrences

void setSessionProperty | ( | const QString & | key,
|  | const QVariant & | value
| ) |  |

Search for all occurrences

quint64 bytesWritten | ( |  | ) | const

Search for all occurrences

quint64 bytesReceived | ( |  | ) | const

Search for all occurrences

quint64 activeTime | ( |  | ) | const

Search for all occurrences

bool waitForOpened | ( | int | msecs = `30000` | ) |

Search for all occurrences

void open | ( |  | ) | `[slot]`

Search for all occurrences

void close | ( |  | ) | `[slot]`

Search for all occurrences

void stop | ( |  | ) | `[slot]`

Search for all occurrences

void migrate | ( |  | ) | `[slot]`

Search for all occurrences

void ignore | ( |  | ) | `[slot]`

Search for all occurrences

void accept | ( |  | ) | `[slot]`

Search for all occurrences

void reject | ( |  | ) | `[slot]`

Search for all occurrences

void stateChanged | ( | QNetworkSession::State |  | ) | `[signal]`

Search for all occurrences

void opened | ( |  | ) | `[signal]`

Search for all occurrences

void closed | ( |  | ) | `[signal]`

Search for all occurrences

void error | ( | QNetworkSession::SessionError |  | ) | `[signal]`

Search for all occurrences

void preferredConfigurationChanged | ( | const QNetworkConfiguration & | config,
|  | bool | isSeamless
| ) |  | `[signal]`

Search for all occurrences

void newConfigurationActivated | ( |  | ) | `[signal]`

Search for all occurrences

virtual void connectNotify | ( | const char * | signal | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

virtual void disconnectNotify | ( | const char * | signal | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

## Friends And Related Function Documentation

friend class QNetworkSessionPrivate `[friend]`

Search for all occurrences

Definition at line 139 of file qnetworksession.h.

The documentation for this class was generated from the following file:

- QtNetwork/qnetworksession.h

QNetworkSession QNetworkSession QNetworkSession QNetworkSession QNetworkSession QNetworkSession QNetworkSession QNetworkSession QNetworkSession QNetworkSession
QNetworkSession QNetworkSession QNetworkSession QNetworkSession QNetworkSession QNetworkSession QNetworkSession QNetworkSession QNetworkSession QNetworkSession